> ## Documentation Index
> Fetch the complete documentation index at: https://docs.brandblast.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete User

> Delete a user from your white label tool. This does not notify the user.



## OpenAPI

````yaml post /v1/deleteUser
openapi: 3.0.1
info:
  title: Brandblast API
  description: A user management API for white labels
  version: 1.0.0
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
servers:
  - url: https://dashboard.brandblast.ai/api
security:
  - ApiKeyAuth: []
tags:
  - name: User Management
    description: APIs for managing users
paths:
  /v1/deleteUser:
    post:
      tags:
        - User Management
      summary: Delete a user
      description: Delete a user from your white label tool. This does not notify the user.
      operationId: deleteUser
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - user_email
              properties:
                user_email:
                  type: string
                  format: email
                  description: Email address of the user to be deleted
            example:
              user_email: userToDelete@example.com
      responses:
        '200':
          description: User deleted successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
              example:
                message: User and all associated data deleted successfully.
        '400':
          description: Bad request - missing parameters
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
              example:
                message: Missing required parameters.
        '401':
          description: Unauthorized - invalid API key
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
              example:
                message: 'Unauthorized: Invalid or unauthorized API key.'
        '403':
          description: Forbidden - unauthorized operation
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
              example:
                message: 'Unauthorized: Cannot delete a white label user.'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
              example:
                message: Failed to delete user and associated data.
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````